#### D.3.2.21 spprint

Procedure from library `linalg.lib` (see linalg_lib).

Usage:
  spprint(sp); list sp (helper routine for spnf)

Return:
  string s; spectrum sp

Example:

    LIB "linalg.lib";
    ring R=0,(x,y),ds;
    list sp=list(ideal(-1/2,-3/10,-1/10,0,1/10,3/10,1/2),intvec(1,2,2,1,2,2,1));
    spprint(sp);
    ==> (-1/2,1),(-3/10,2),(-1/10,2),(0,1),(1/10,2),(3/10,2),(1/2,1)

See also: gmssing_lib; spnf.

User manual for Singular version 4.4.1, 2025, generated by texi2html.